/*jshint browser:true */
/*global $ */

/*Função para bloquear o back do celular, pois como o app tem na vdd somente uma tela, no voltar estava saindo do app*/


(function() {
	"use strict";

	/*
  hook up event handlers
  */
	function register_event_handlers() { 

		document.addEventListener("backbutton", function(e){				
			navigator.notification.confirm(
				'Deseja realmente sair?',  // message
				onConfirm,              // callback to invoke with index of button pressed
				'Atenção',            // title
				'Não,Sim'          // buttonLabels
			);
		}, false);

		function onConfirm(buttonIndex) {
			if(buttonIndex ==2){
				navigator.app.exitApp();
			}
		}


		var dialogButton = document.querySelector('.dialog-button');
		var dialog = document.querySelector('#dialog');
		if (! dialog.showModal) {
			dialogPolyfill.registerDialog(dialog);
		}
		dialogButton.addEventListener('click', function() {
			dialog.showModal();
		});
		dialog.querySelector('button:not([disabled])')
			.addEventListener('click', function() {
			dialog.close();
		});


		/*Tentando swipe*/
		//	$('#fixed-tab-1').bind('swipeleft',showNext); //show next hides screen1, shows screen2 
		//		
		//	$('#fixed-tab-2').bind('swipeleft',showNext2); //show next hides screen1, shows screen2 
		//	$('#fixed-tab-2').bind('swiperight',showPrev2);//show prev hides screen2, shows screen1
		//	
		//	$('#fixed-tab-3').bind('swipeleft',showNext3); //show next hides screen1, shows screen2 
		//	$('#fixed-tab-3').bind('swiperight',showPrev3);//show prev hides screen2, shows screen1
		//	  
		//	$('#fixed-tab-4').bind('swiperight',showPrev4);//show prev hides screen2, shows screen1
		//
		//	function showNext(){	
		//		$("#fixed-tab-1").removeClass("is-active");
		//		$("#tabNoticias").removeClass("is-active");
		//		
		//		$("#fixed-tab-2").addClass("is-active");
		//		$("#tabVagas").addClass("is-active");
		//		
		//		$("#filtro_cargo").val("");
		//      	pesquisarVagas();
		//	}
		//	
		//	function showNext2(){	
		//		$("#fixed-tab-2").removeClass("is-active");
		//		$("#tabVagas").removeClass("is-active");
		//		
		//		$("#fixed-tab-3").addClass("is-active");
		//		$("#tabInfo").addClass("is-active");		
		//	}
		//
		//	function showPrev2(){	
		//		$("#fixed-tab-2").removeClass("is-active");
		//		$("#tabVagas").removeClass("is-active");
		//		
		//		$("#fixed-tab-1").addClass("is-active");
		//		$("#tabNoticias").addClass("is-active");		
		//	}
		//	  
		//	function showNext3(){			
		//		$("#fixed-tab-3").removeClass("is-active");
		//		$("#tabInfo").removeClass("is-active");
		//		
		//		$("#fixed-tab-4").addClass("is-active");
		//		$("#tabSobre").addClass("is-active");		
		//	}
		//
		//	function showPrev3(){	
		//		$("#fixed-tab-3").removeClass("is-active");
		//		$("#tabInfo").removeClass("is-active");
		//		
		//		$("#fixed-tab-2").addClass("is-active");
		//		$("#tabVagas").addClass("is-active");
		//		
		//		$("#filtro_cargo").val("");
		//      	pesquisarVagas();		
		//	}	  
		//	  
		//	function showPrev4(){	
		//		$("#fixed-tab-4").removeClass("is-active");
		//		$("#tabSobre").removeClass("is-active");
		//		
		//		$("#fixed-tab-3").addClass("is-active");
		//		$("#tabInfo").addClass("is-active");		
		//	}	  

		//	function openExternal(elem) {
		//		var ref = cordova.InAppBrowser.open(elem.href,  '_blank', 'location=no');			
		//		// some time later...
		//		ref.hide();		
		//		return false; // Prevent execution of the default onClick handler 
		//	}

		// Lida com os cliques em links
		$(document).on('click', 'a[href^="http"]', function (e) {
			var url = $(this).attr('href');

			if (device.platform.toUpperCase() === 'ANDROID') {			
				navigator.app.loadUrl(url, { openExternal: true });
			} else if (device.platform.toUpperCase() === 'IOS') {
				window.open(url, '_system');
			}
			e.preventDefault();
			e.stopImmediatePropagation();
			e.stopPropagation();
			return false;
		});

		$(document).on("click", "#btnLimpar", function(evt) {
			$("#filtro_cargo").val("");  
			$("#filtro_cargo").parent().addClass("is-dirty");	
			$("#filtro_cargo").parent().addClass("is-focused");	
			$("#filtro_cargo").focus();
		});

		$(document).on("click", "#btnViewPesquisar", function(evt) {
			$("#filtro_cargo").val("");  
			$("#filtro_cargo").parent().addClass("is-dirty");	
			$("#filtro_cargo").parent().addClass("is-focused");	
			$("#filtro_cargo").focus();
		});

		/* button Fechar */
		$(document).on("click", "#btnSair", function(evt) {
			navigator.app.exitApp();
		});

		$(document).on("click", "#tabVagas", function(evt) {
			$("#filtro_cargo").val("");
			pesquisarVagas();
		});

		$(document).on("click", "#tabNoticias", function(evt) {      
			carregarNoticias();	
		});

		/* button  Pesquisar */
		$(document).on("click", "#btnPesquisar", function(evt) {	   
			pesquisarVagas();
			dialog.close();
		});

		$("#filtro_cargo").keypress(function(event) {
			if ( event.which == 13 ) {
				pesquisarVagas();
				dialog.close();
			}
		});


		/* Função para pesquisa de vagas*/
		function carregarNoticias() {   
			var contador = 0;
			var commit = true;

			if(navigator.connection && navigator.connection.type != "none") {
				commit = true;
			} else {
				commit = false;        
				$("#divNoticias").html("<div class='alert alert-danger' style='text-align:center;'><h4 style='margin-top:10px;'><i class='fa fa-exclamation-triangle' aria-hidden='true'></i> Sem conexão de internet!!!</h4></div>  ");		  
			}

			if(commit == true) {      
				$("#resultNoticias").empty();      
				var url = "http://cpat.campinas.sp.gov.br/api/v1/consulta-noticias";

				$("#loadingNews").show();
				// Consumir a view de vagas-portal-cidada do Drupal...
				$.ajax({
					type: "POST",
					url: url,
					async:true,
					timeout: 50000,
					success: function (result, jqXHR) {
						var dados = result;      
						var item = "";
						// Listando cada cliente encontrado na lista...
						$.each(dados.nodes,function(i, clientes){
							$.each(clientes,function(i, cliente){              
								item = "";
								contador++;                

								item = '<a  href="http://cpat.campinas.sp.gov.br'+cliente.url+'" ><i class="fa fa-external-link" aria-hidden="true"></i> '+cliente.title+'</a><br><hr>';

								$("#resultNoticias").append(item);
							});
						});

						$("#loadingNews").hide();
						if(contador == 0){
							$("#divNoticias").empty(); 				
						} 
					},
					error: function (jqXHR, status) {
						$("#loadingNews").hide();
						// Exibir mensagem de erro, caso aconteça...            
						$("#resultNoticias").html("<div class='alert alert-danger' style='text-align:center;'><h4 style='margin-top:10px;'><i class='fa fa-exclamation-triangle' aria-hidden='true'></i> Servidor não conseguiu processar o pedido. Tente novamente mais tarde!</h4></div>");  
					}
				});
			}
		}

		/* Função para pesquisa de vagas*/
		function pesquisarVagas() {
			var commit = true;

			if(navigator.connection && navigator.connection.type != "none") {
				commit = true;
				$("#conexao").empty();
				$("#situacao").empty();
				$("#divResult2").hide();		
			} else {
				commit = false;        
				$("#situacao").html("<div class='alert alert-danger' style='text-align:center;'><h4 style='margin-top:10px;'><i class='fa fa-exclamation-triangle' aria-hidden='true'></i> Sem conexão de internet!!!</h4></div>  ");

				$("#divResult2").show();
				navigator.notification.alert("Sem conexão com a internet! Faça conexão para realizar a pesquisa!"," ","Aviso","OK");
			}


			if(commit == true) {
				$("#divResult").hide();

				// Limpar todos os itens da lista...
				$("#listaClinic").empty();
				var escolaridade = $("#cod_escl").val();
				var sltOcupacao = $("#cod_cbo").val();
				var filtro_cargo = $("#filtro_cargo").val();
				var url = "";
				var parametros = "";

				escolaridade = "";
				sltOcupacao = "";

				if((filtro_cargo.length === 0 ) && (sltOcupacao.length === 0 ) && (escolaridade == 0 )){
					url = "http://cpat.campinas.sp.gov.br/api/v1/consulta-vagas?";

				} else {
					if(filtro_cargo.length > 0 ) {
						parametros =  "title="+filtro_cargo;
					}

					if(sltOcupacao.length > 0 ) {
						parametros +=  "&field_codigo_ocupacao_value= "+sltOcupacao;
					}

					if(escolaridade > 0 ) {
						parametros +=  "&field_escolaridade_padrao_tid="+escolaridade;
					}

					url = "http://cpat.campinas.sp.gov.br/api/v1/consulta-vagas?"+parametros;
				}

				// Exibe a mensagem 'Carregndo clientes'
				//$("#loading").addClass("is-active");
				$("#loading").show();
				// Consumir a view de vagas-portal-cidada do Drupal...
				$.ajax({
					type: "POST",
					url: url,
					async:true,
					timeout: 50000,
					success: function (result, jqXHR) {
						var dados = result;
						var contador = 0;
						var num_vagas = 0;
						var item = "";
						var estilo = 'style="margin-top:25px"';
						// Listando cada cliente encontrado na lista...								  
						$.each(dados.nodes,function(i, clientes){
							$.each(clientes,function(i, cliente){              
								item = "";
								contador++;
								num_vagas = (parseInt(cliente.num_vagas) + parseInt(num_vagas));
								item = '<section class="section--center mdl-grid mdl-grid--no-spacing mdl-shadow--2dp">';
								item += '<div class="mdl-card mdl-cell mdl-cell--12-col">';
								item += '<div class="mdl-card__supporting-text">';
								item += '<h6><b>'+cliente.titulo+'</b></h6>';
								item += '<b>Escolaridade: </b>'+cliente.escolaridade;
								
																	
								if((cliente.experiencia == null)|| (cliente.experiencia == undefined)||(cliente.experiencia == 0)) {
									item += '<br><b>Experiência exigida: </b> 0';										
								}else{
									item += '<br><b>Experiência exigida: </b>'+ cliente.experiencia +' meses';	
								}								
								
								item += '<br><b>Município: </b>'+ cliente.municipio;	
								item += '<br><b>É para deficiente: </b>'+ cliente.vagas_deficiente;	
								item += '<br><b>Salário: </b>'+cliente.salario+' '+cliente.field_salario_complemento;
								item += '<br><b> Número de vagas: </b> <span class="badge">'+cliente.num_vagas+'</span>';
								item += '</div>';
								item += '</div>';
								item += '</section><br>';

								$("#listaClinic").append(item);
							});
						});

						// Exibir mensagem com total de clientes encontrados...            
						$("#divResult2").show();
						$("#divResult").show();
						$("#loading").hide();
						// $("#situacao").html("<center>Resultado...<span class='mdl-badge' data-badge='"+contador+ "'>Cargos</span> <span class='mdl-badge' data-badge='"+num_vagas+ "'>Vagas</span>
						//$("#situacao").html("<center>Vagas Disponíveis no momento: <span class='badge'>"+num_vagas+ "</span></center>");
						if(num_vagas == 0){
							$("#situacao").html("<div class='alert alert-warning' style='text-align:center;'><h4 style='margin-top:10px;'><i class='fa fa-exclamation-triangle' aria-hidden='true'></i> Não foram encontrados registros para o filtro informado, tente novamente!</h4></div>");	
						} else{
							//<div class="alert alert-info" id="situacao"></div>
							$("#situacao").html("<div class='alert alert-info' style='text-align:center;'><h4 style='margin-top:10px;'>Vagas Disponíveis</h4><h1><span class='label label-success'>"+num_vagas+ "</span></h1></div>");
							$("#listaClinic").append('<div class="alert alert-danger" role="alert"><div class="page-header"><h4><i class="fa fa-info-circle fa-lg"></i> FIQUE ATENTO! </h4></div><p> * Essa é uma pesquisa online e portanto, a disponibilidade e a quantidade de vagas pode sofrer alteração a qualquer momento.</b></p></h6><p>* Caso não queira ir no CPAT para fazer a inscrição, utilize o site do ministério do trabalho.</p><p style="text-align: center;"><i class="fa fa-external-link" aria-hidden="true"></i> <a  href="http://maisemprego.mte.gov.br/portal" >http://maisemprego.mte.gov.br</a></p></div><br>');

						}


					},
					error: function (jqXHR, status) {
						$("#loading").hide();
						// Exibir mensagem de erro, caso aconteça...            
						$("#situacao").html("<div class='alert alert-danger' style='text-align:center;'><h4 style='margin-top:10px;'><i class='fa fa-exclamation-triangle' aria-hidden='true'></i> SO servidor não conseguiu processar o pedido. Tente novamente mais tarde!</h4></div>");  
					}
				});
			}

		}

		carregarNoticias();


	}
	document.addEventListener("app.Ready", register_event_handlers, false);
})();
